## org.apache.xerces.impl.dtd.models
Class CMNode

    java.lang.Object
      org.apache.xerces.impl.dtd.models.CMNode

Direct Known Subclasses:
  CMAny, CMBinOp, CMLeaf, CMUniOp, XSCMBinOp, XSCMLeaf, XSCMUniOp

    public abstract class CMNode

extends java.lang.Object

A content model node.

Version:
  $Id: CMNode.java 320090 2004-10-04 22:00:42Z mrglavas $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Constructor Summary
`CMNode(int type)`

Method Summary
`protected abstract void` `calcFirstPos(CMStateSet toSet)`
`protected abstract void` `calcLastPos(CMStateSet toSet)`
`CMStateSet` `firstPos()`
`abstract boolean` `isNullable()`
`CMStateSet` `lastPos()`
`void` `setMaxStates(int maxStates)`
`int` `type()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMNode

    public CMNode(int type)

Method Detail

### isNullable

    public abstract boolean isNullable()

### type

    public final int type()

### firstPos

    public final CMStateSet firstPos()

### lastPos

    public final CMStateSet lastPos()

### setMaxStates

    public final void setMaxStates(int maxStates)

### calcFirstPos

    protected abstract void calcFirstPos(CMStateSet toSet)

### calcLastPos

    protected abstract void calcLastPos(CMStateSet toSet)

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.